//
//  MicroLifeCBPdataAndCalCBP.h
//  MicroLifeDeviceSDK-Dev
//
//  Created by willy.wu on 2019/10/14.
//  Copyright © 2019 WiFi@MBP. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
/**
Dformat:Data format which APP requested.

- MicroLifeDNoCBPRaw: No CBP raw data
- MicroLifeDLowCBPRaw: low resolution CBP data (sampling rate =16Hz)
- MicroLifeDFullCBPRaw: full CBP raw data (sampling rate=256Hz)
*/
typedef NS_ENUM(NSInteger, Dformat) {
    MicroLifeDNoCBPRaw      = 0x00,
    MicroLifeDLowCBPRaw     = 0x01,
    MicroLifeDFullCBPRaw    = 0x03,
};

@interface MicroLifeCBPdataAndCalCBP : NSObject

@property (nonatomic,assign) Dformat dformat;

@property (nonatomic,strong) NSMutableArray *CBPdatas;

@property (nonatomic,strong) NSMutableArray *CalCBPs;

+ (instancetype)initWithData:(NSString *)data Origin:(int)origin;

@end

NS_ASSUME_NONNULL_END
